org.apache.cassandra.utils

## Class WrappedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.cassandra.utils.WrappedException

All Implemented Interfaces:
  java.io.Serializable

    public class WrappedException
    extends java.lang.RuntimeException

Wrapped runtime exception for lambda functions

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WrappedException(java.lang.Exception cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WrappedException

    public WrappedException(java.lang.Exception cause)